'-------------------------------------------------------------------------------
' In The Name Of GOD

'Topic  : Communicat with PC
'Author : Morteza Rahimi Kordmahalle (MRK)
'Microcontroller : ATTiny13

'Compiler : BASCOM 1.11.9.8
'Creation Date : Nov 50, 2011 (1390.08.14)
'Copyright : (C) 2011 By www.mrkelectronic.blogfa.com
'License : This Is A Free Firmware , Ver 1.00

'-------------------------------------------------------------------------------
$regfile = "m8def.dat"
$crystal = 7372800
$baud = 9600

'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Initialization ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Configurations ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Config Lcd = 16 * 2
Config Lcdpin = Pin , Db4 = Portb.3 , Db5 = Portb.2 , Db6 = Portb.1 , Db7 = Portb.0 , _
                       Rs = Portb.5 , E = Portb.4


Config Portc.3 = Output
Config Portc.4 = Output
Config Portc.5 = Output

Portc.3 = 1
Portc.4 = 1
Portc.5 = 1

Waitms 1500

Portc.3 = 0
Portc.4 = 0
Portc.5 = 0

'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Variable ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Dim S As String * 2


'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Main program ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Do

Lcd "Ready..."

 Input S

 Cls
 Locate 2 , 1
 Lcd S

 S = Mid(s , 1 , 1)

   Select Case S

     Case "r" :

       Portc.3 = 1

     Case "R" :

       Portc.3 = 0

     Case "b" :

       Portc.4 = 1

     Case "B" :

       Portc.4 = 0

     Case "g" :

       Portc.5 = 1

     Case "G" :

       Portc.5 = 0

     Case Chr(13) :

       Portc.5 = 1

   End Select


Loop

End